=== debian/changelog ===
kicad (0.20140622+bzr4027-2) unstable; urgency=medium

  * added  -DCMAKE_BUILD_TYPE=Release as a definition for cmake.
    This does not fix every bug, but it removes dialogs about failed
    assertions raised by wxASSERT, which are usually non-blocking, 
    as long as one decides to continue and unactivate the assert warnings.
    Feel free to report bugs which affect user-level features.
    Closes: #749278

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Jul 2014 22:28:01 +0200

kicad (0.20140622+bzr4027-1) unstable; urgency=medium

  * added a routine to creat the version string. Closes: #749308
  * upgraded to the newest component libraries. Closes: #751994

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 22 Jun 2014 18:29:50 +0200

kicad (0.20140518+bzr4027-2) unstable; urgency=medium

  * applied Samuel Thibault's patch. Closes: #749930

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Jun 2014 16:34:06 +0200

kicad (0.20140518+bzr4027-1) unstable; urgency=medium

  * retrieved the last upstream version, Closes: #741673, Closes: #741437
  * upgraded some build-dependencies, libwxgtk3.0-dev, applied a part of
    Olly Betts' patch. Closes: #741440
  * applied Dimitris Lampridis' patch. Closes: #745705
  * modified get-kikad.sh to make xz compressed file.
  * added a rule to fix permissions of ja/kicad.po
  * 

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 May 2014 14:59:05 +0200

kicad (0.20140224+bzr4027-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * It FTBFS because kicad-common is arch independent.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #741743

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 May 2014 04:33:24 +0100

kicad (0.20140224+bzr4027-3) unstable; urgency=medium

  * taken in account Samuel Thibault's hint. Closes: #740999

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Mar 2014 11:48:29 +0100

kicad (0.20140224+bzr4027-2) unstable; urgency=medium

  * fixed a bug in d/rules.
  * added a clause Conflicts: kicad-common ( << 0.20140224),
    Closes: #740276
  * Checked that the file Getting_Started_in_KiCad.pdf is distributed with
    some -doc-xy packages. Closes: #691660

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Mar 2014 02:24:33 +0100

kicad (0.20140224+bzr4027-1) unstable; urgency=medium

  * changed the lp: repository for kicad's library in order to match active
    repositories listed at
    https://code.launchpad.net/kicad/+branches?field.lifecycle=ALL&field.lifecycle-empty-marker=1&field.sort_by=most+recently+changed+first&field.sort_by-empty-marker=1
    the file debian/get-kicad.sh should be more efficient now.
    Closes: #712259
  * modified the script debian/clean_sourceless_pdf: more formats are allowed
    for source files, and the search for source files is now case-insensitive.
    names without prefixes are allowed too (they are directory names)
  * fixed a few wrong permissions in packaged files
  * modified the package assignation for files in usr/share/applications
  * modified the script debian/get-kicad.sh to add a minimum set of
    legacy footprints. Closes: #736180; Closes: #707956
  * removed bloated .ps files from the source package. Closes: #737933
  * added a dependency on imagemagick to mamange the icons at build time

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Feb 2014 15:40:26 +0100
