## kicad 0.20141025+bzr4029

=== debian/changelog ===
kicad (0.20141025+bzr4029-2) unstable; urgency=medium

  * modified the description of the package for Japanese documentation.
    Closes: #767647
  * modified the default path to templates. Closes: #771354

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Nov 2014 19:39:30 +0100

kicad (0.20141025+bzr4029-1) unstable; urgency=medium

  * upgraded to the newest upstream releases for the code and the components.
  * added a rule in d/rules to remove useless .ps files. Closes: #737933
  * modified kicad.pro. Closes: #763683
  * updated Standards-Version to 3.9.6
  * added a build-dependency on unoconv
  * added build rules to make PDF help files from sources
  * added the package kicad-doc-ja in d/control, and files
    d/kicad-doc-*.install, for "pt" and "ja" languages.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Oct 2014 10:26:51 +0100

kicad (0.20140622+bzr4027-3) unstable; urgency=medium

  * dropped the dependency on zlib-bin, since grep shows no occurence
    of "minizip" nor "miniunzip" in kicad's source. Closes:  #761320

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Sep 2014 23:20:43 +0200
