=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  libglu1-mesa-dev, libgl1-mesa-dev, mesa-common-dev,
  libwxgtk3.0-dev, libboost-dev,
  cmake (>= 2.6.0), imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kicad-pcb.org
 
 Package: kicad
 Architecture: any
 Depends: kicad-common (>= ${source:Version}),
- ${shlibs:Depends}, ${misc:Depends}, zlib-bin
+ ${shlibs:Depends}, ${misc:Depends}
 Conflicts: kicad-common ( << 0.20140224)
 Suggests: extra-xdg-menus,
 	kicad-doc-en | kicad-doc-fr | kicad-doc-de | kicad-doc-es | kicad-doc-hu | kicad-doc-ru | kicad-doc-zh-cn
@@ -84,6 +84,15 @@
 Description: Kicad help files (Italian)
  This package provides documentation for Kicad in Italian.
 
+Package: kicad-doc-ja
+Architecture: all
+Depends: ${misc:Depends}
+Description: Kicad help files (Japanese)
+ This package provides documentation for Kicad in Japanese.
+ .
+ This package does not provide a Japanese translation of the manual, only the
+ tutorial. Manual available in the French & English packages only.
+
 Package: kicad-doc-hu
 Architecture: all
 Depends: ${misc:Depends}
